Summary: Leading World Wide Web server
Name: apache
Version: 1.3.6
Release: 1
Group: Networking/Daemons
Copyright: Freely distributable and usable
Url: http://www.apache.org
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.apache.org/apache/dist/%{name}_%{version}.tar.gz
Source1: httpd.init
Source2: apache.logrotate
BuildRoot: /var/tmp/%{name}-root

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

This package is specially configured so that the server will run as 
httpd:httpd rather than nobody:nobody. Make sure user and group httpd
exist before installing this package.


%prep
%setup -q -n apache_%{version}


%build
OPTIM="$RPM_OPT_FLAGS" ./configure \
	--prefix=/usr \
	--sbindir=/usr/sbin \
	--libexecdir=/usr/lib/apache \
	--includedir=/usr/include/apache \
	--sysconfdir=/etc/httpd \
	--datadir=/home/httpd \
	--logfiledir=/var/log/httpd \
	--localstatedir=/var \
	--runtimedir=/var/run \
	--proxycachedir=/var/cache/httpd \
	--enable-module=all \
	--enable-shared=max \
	--disable-rule=WANTHSREGEX \
	--enable-module=rewrite --enable-shared=rewrite \
	--enable-module=proxy   --enable-shared=proxy
make


%install
rm -rf $RPM_BUILD_ROOT
make install root=$RPM_BUILD_ROOT

# Move useless files for non-newbies out of place
(
	cd $RPM_BUILD_ROOT/home/httpd
	mkdir {cgi-bin,htdocs}/examples
	mv cgi-bin/{printenv,test-cgi} cgi-bin/examples
	mv htdocs/{apache_pb.gif,index.html} htdocs/examples
)

# Change default user:group httpd runs as from nobody:nobody to httpd:httpd
perl -pi -e 's|^User nobody$|User httpd|;s|^Group nobody$|Group httpd|' \
	$RPM_BUILD_ROOT/etc/httpd/{httpd.conf,httpd.conf.default}

# Fix the path of perl
perl -pi -e 's|/usr/local/bin/perl5|/usr/bin/perl|' \
	$RPM_BUILD_ROOT/home/httpd/htdocs/manual/search/manual-index.cgi


# install SYSV init stuff
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd

# install log rotation stuff
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m644 %{SOURCE2} $RPM_BUILD_ROOT/etc/logrotate.d/apache


%post
/sbin/chkconfig --add httpd

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del httpd
fi


%files
%defattr(-,root,root)

%dir /etc/httpd
%config /etc/httpd/*
%config /etc/logrotate.d/apache
%config /etc/rc.d/init.d/httpd

/home/httpd

/usr/bin/*
/usr/sbin/*
/usr/man/man*/*
/usr/include/apache
/usr/lib/apache

%dir %attr(-,httpd,httpd) /var/cache/httpd
%dir /var/log/httpd


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Fri Apr  9 1999 Hao Li <hli@wag.caltech.edu>
- apache-1.3.6-1. Changes:
  o Compiled in rewrite and proxy modules which are disabled by default.
  o Useless stuff under /home/httpd/{cgi-bin,htdocs} are moved away.
  o Server now runs as httpd:httpd rather than nobody:nobody.

* Tue Jan 26 1999 Hao Li <hli@wag.caltech.edu>
- Initial revision: apache-1.3.4-1. The basic spirit of this spec file is to
  keep Apache's default settings as much as possible and to minimize
  customization.
- Difference from RH52 apache-1.3.3-1 spec file:
  1. No patch, no customized config file.
  2. configure argument differences:
	Added:		--sbindir=/usr/sbin
	Changed:	--sysconfdir=/etc/httpd
	Removed:	--serverroot=/etc/httpd
     And the resulting change in installation path is:
     (1) *.conf are now in /etc/httpd rather than /etc/httpd/conf;
     (2) /etc/httpd/{logs,modules} are gone;
     (3) DocumentRoot is now /home/httpd/htdocs rather than /home/httpd/html.
